Skip to main content
POST
Attach rule to a financial account

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ruleId
integer
required

The rule ID

financialAccountId
integer
required

The financial account ID

Body

application/json
order
integer | null

Single rule ordering - used when only attaching one rule

Required range: 0 <= x <= 999
order_list
integer[]

Full reordering - used when the client wants to provide the complete ordered list

Response

message
string
required
Allowed value: "Rule attached to account."
data
RuleResource · object
required